VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages

### - s -

- SampleAccurateBaseProcessor() : SampleAccurateBaseProcessor
- scale() : LogScale< T >
- ScaledParameter() : ScaledParameter
- ScoreEntry() : HostCheckerController::ScoreEntry
- sendLatencyChanged() : HostCheckerProcessor
- sendLogEventMessage() : HostCheckerProcessor
- sendNoteExpression() : NoteTouchController
- sendNowAllLogEvents() : HostCheckerProcessor
- sendParameterChanges() : SpecMeterProcessor
- sendTextMessage() : Plug
- setActive() : Processor , LoudnessProcessor , MultiBandProcessor , BeatBoxProcessor , OverdriveProcessor , PianoProcessor , ComboProcessor , RePsychoProcessor , RezFilterProcessor , DeEsserProcessor , RingModProcessor , RoundPanProcessor , DegradeProcessor , ShepardProcessor , SpecMeterProcessor , DelayProcessor , SplitterProcessor , StereoProcessor , DetuneProcessor , SubSynthProcessor , TalkBoxProcessor , DitherProcessor , TestToneProcessor , ThruZeroProcessor , ADelayProcessor , DubDelayProcessor , TrackerProcessor , Processor , DX10Processor , SyncDelayProcessor , AGain , DynamicsProcessor , EPianoProcessor , HostCheckerProcessor , ImageProcessor , JX10Processor , AmbienceProcessor , LeslieProcessor , LimiterProcessor
- setAudioPresentationLatencySamples() : HostCheckerProcessor
- setAutomationState() : HostCheckerController
- setBusArrangements() : ADelayProcessor , AGain , AGainWithSideChain , HostCheckerProcessor , Processor , SyncDelayProcessor
- setBypass() : Processor
- setChannelContextInfos() : PlugController , HostCheckerController
- setComponent() : HostCheck , EventListCheck
- setComponentHandler() : HostCheckerController
- setComponentState() : ADelayController , AGainController , PlugController , HostCheckerController , PlugController , BaseController , Controller , PlugController , SyncDelayController
- setCurrentProgram() : Processor , DX10Processor , EPianoProcessor , JX10Processor , PianoProcessor
- setCurrentProgramNormalized() : Processor , DX10Processor , EPianoProcessor , JX10Processor , PianoProcessor
- setDefaultMessageText() : AGainController
- setEnvironment() : TestSuite
- setEventLogger() : ProcessContextCheck , EventListCheck , ParameterChangesCheck , ProcessSetupCheck
- setFreqAndQ() : Filter
- setGlobalParameterStorage() : VoiceBase< numValues, SamplePrecision, numChannels, GlobalParameterStorage >
- setHorizontalNoteExpType() : NoteTouchController
- setIndexString() : IndexedParameter
- setKnobMode() : HostCheckerController
- setMessageText() : AGainUIMessageController< ControllerType >
- setNormalized() : BaseParameter , ProxyParameter
- setNoteExpressionValue() : VoiceBase< numValues, SamplePrecision, numChannels, GlobalParameterStorage > , Voice< SamplePrecision >
- setParameter() : Processor , DX10Processor , EPianoProcessor , JX10Processor , PianoProcessor
- setParamIDs() : ParameterChangesCheck
- setParamNormalized() : PlugController , Controller , HostCheckerController , EPianoController , JX10Controller , PianoController , DX10Controller , AGainController
- setPitch() : NoteTouchController
- setPrecision() : ProxyParameter
- setProcessing() : HostCheckerProcessor
- setProcessSetup() : ProcessSetupCheck , HostCheck , EventListCheck
- setProxy() : ProxyParameter
- setSampleRate() : Filter , Voice< SamplePrecision > , VoiceBase< numValues, SamplePrecision, numChannels, GlobalParameterStorage > , ProcessContextCheck
- setScaling() : LogScale< T >
- setSizeFactor() : EditorSizeController
- setState() : SyncDelayProcessor , ControllerWithUI , ADelayProcessor , AGain , HostCheckerProcessor , Processor , HostCheckerController , Plug , Processor , AGainController , Plug , GlobalParameterState , Plug
- setType() : Filter
- setUnitID() : ProxyParameter
- setupProcessing() : AGain , Processor , HostCheckerProcessor
- setVerticalNoteExpType() : NoteTouchController
- ShepardController() : ShepardController
- ShepardProcessor() : ShepardProcessor
- SpecMeterController() : SpecMeterController
- SpecMeterProcessor() : SpecMeterProcessor
- SplitterController() : SplitterController
- SplitterProcessor() : SplitterProcessor
- startNote() : NoteTouchController
- StereoController() : StereoController
- StereoProcessor() : StereoProcessor
- stopNote() : NoteTouchController
- SubSynthController() : SubSynthController
- SubSynthProcessor() : SubSynthProcessor
- switchToHost: : VSTInterAppAudioHostUIControllerViewController
- SyncDelayProcessor() : SyncDelayProcessor

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.